export const AxisX = ({
  xScale,
  innerHeight,
  tickOffset = 3,
}) =>
  xScale.ticks().map((tickValue) => (
    <g
      className="tick"
      key={tickValue}
      transform={`translate(${xScale(tickValue)},0)`}
    >
      <line
        y1={innerHeight - tickOffset}
        y2={innerHeight - 10}
        stroke="black"
      />
      <text
        style={{ textAnchor: 'middle' }}
        dy=".71em"
        y={innerHeight + tickOffset}
        fill="red"
      >
        {tickValue}
      </text>
    </g>
  ));
